Subject: RE: gitd-Domains updated and renewal (Urgent to Principal/CEO)(Case#211125)

From: admin <[email-masked]>
Date: Mon, 11 Jul 2022 16:36:32 +0800

Dear Principal,
 
Haven't you received my E-mail? I don't know which progress you are making,please reply me as soon as you see the E-mail,thanks! 
 
Best Regards,
 
Frank Liu
----------------------------------------------------------------------------------------------

Dear Principal,
 
I'm Frank Liu from HK TLD Creating Limited.
 
The domains "gitd.hk/.asia..." you registered with us had been expired, would you like to renew them ? 
 
If we don't renew in time, these domains will be available for re-registration by anyone.If you choose to renew, we will send you the renewal price/documents and arrange the next step for you in time.  
 
Since this matter is very urgent and important. I hope you give me a reply asap.
 
Best Regards,
 
Frank Liu
Manager of Auditing Department
----------------------------------------------------------------------------------------------
HK TLD Creating Limited
Web: www.tldservice.org
T: +852-3069 75 74
F: +852 3069 74 09
E: [email-masked]
Add: Commercial Building,17-19Prat Auenue,Tsimshatsui,Kowloon,HongKong.